<script setup lang="ts">
import { inject, type Ref } from 'vue';

const rail = inject<Ref<boolean>>('rail')
const drawer = inject<Ref<boolean>>('drawer')

</script>

<template>
    <v-navigation-drawer
        :width="220"  
        v-model="drawer"
        expand-on-hover
        :rail="rail"
        style="background-color: #D7BB93;"
      >
        <v-list density="compact" nav>
          <v-list-item prepend-icon="mdi-home" title="Main Menu" value="MainMenu" :to="{name : 'MainMenu'}"></v-list-item>
          <v-list-item prepend-icon="mdi-point-of-sale" title="POS" value="pos" :to="{name: 'pos'}"></v-list-item>
          <v-list-item prepend-icon="mdi-package-variant-closed" title="Stock Mangement" value="stock" :to="{name: 'stock'}"></v-list-item>
          <v-list-item prepend-icon="mdi-coffee" title="Product" :to="{name: 'product'} " value="product"></v-list-item>
          <!-- <v-list-item prepend-icon="mdi-information" title="About" value="users" :to="{name: 'about'}"></v-list-item> -->
          <v-list-item prepend-icon="mdi-clock" title="CheckIn-Out" value="CheckInOut" :to="{name: 'CheckInOut'}"></v-list-item>
          <v-list-item prepend-icon="mdi-cash" title="Salary" value="Salary" :to="{name: 'Salary'}"></v-list-item>
          <v-list-item prepend-icon="mdi-book" title="Bill Cost" value="BillCost" :to="{name: 'BillCost'}"></v-list-item>
          <v-list-item prepend-icon="mdi-account" title="User" value="User" :to="{name: 'User'}"></v-list-item>
          <v-list-item prepend-icon="mdi-account-heart" title="Member" value="Member" :to="{name: 'Member'}"></v-list-item>
          <v-list-item prepend-icon="mdi-receipt-text" title="Receipt" value="Receipt" :to="{name: 'Receipt'}"></v-list-item>
          <v-list-item prepend-icon="mdi-cart-percent" title="Promotion" value="Promotion" :to="{name: 'Promotion'}"></v-list-item>
        </v-list>
    </v-navigation-drawer>
</template>